Subject: [PATCH] ARM: shmobile: r8a7790: link PCI USb devices to USB PHY

From: [email-masked] (Sergei Shtylyov)
Date: Thu, 10 Apr 2014 22:46:47 +0400

On 04/10/2014 02:38 PM, Sergei Shtylyov wrote:

>> Thanks for this patch, good to see that the relationship between the
>> USB Host and the PHY is described via DT.

>> This patch seems to cover USB0 and USB2 that both require special
>> control in the PHY. How about USB1? Can you explain about the reason
>> why you omit that?

>     Because the driver does nothing for USB1 anyway.

    Looks like I should have tested that last minute change: kernel oopses due 
to NULL pointer dereference somewhere in phy_get() once it gets called for 
EHCI on the channel #1. At least doesn't seem to be my mistake...

WBR, Sergei